# UserRequest

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**UserEmail** | **string** | User&#39;s email address. | [default to null]
**UserPassword** | **string** | The password to assign to this user in SDKMS. | [default to null]
**AccountRole** | [**[]UserAccountFlags**](UserAccountFlags.md) |  | [optional] [default to null]
**AddGroups** | [***UserGroupMap**](UserGroupMap.md) | The user will be added to the specified security groups with the specified roles. | [optional] [default to null]
**DelGroups** | [***UserGroupMap**](UserGroupMap.md) | The user will be removed from the specified security groups. | [optional] [default to null]
**ModGroups** | [***UserGroupMap**](UserGroupMap.md) | The user&#39;s role in the specified groups will be updated to the specified roles. | [optional] [default to null]
**Enabled** | **bool** | Whether this application is enabled. | [optional] [default to null]
**AddU2fDevices** | [**[]U2fAddDeviceRequest**](U2fAddDeviceRequest.md) |  | [optional] [default to null]
**DelU2fDevices** | [**[]U2fDelDeviceRequest**](U2fDelDeviceRequest.md) |  | [optional] [default to null]
**RenameU2fDevices** | [**[]U2fRenameDeviceRequest**](U2fRenameDeviceRequest.md) |  | [optional] [default to null]

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


