# VerifyRequestEx

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**Key** | [***SobjectDescriptor**](SobjectDescriptor.md) |  | [default to null]
**HashAlg** | [***DigestAlgorithm**](DigestAlgorithm.md) |  | [default to null]
**Hash** | **string** | The hash of the data on which the signature is being verified. Exactly one of &#x60;hash&#x60; and &#x60;data&#x60; is required.  | [optional] [default to null]
**Data** | **string** | The data on which the signature is being verified. Exactly one of &#x60;hash&#x60; and &#x60;data&#x60; is required. To reduce request size and avoid reaching the request size limit, prefer &#x60;hash&#x60;.  | [optional] [default to null]
**Signature** | **string** | A signature created with the private key corresponding to this public key. | [default to null]
**Mode** | [***SignatureMode**](SignatureMode.md) |  | [optional] [default to null]

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


