# AppCredentialSignedjwtSigningKeys

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**Kind** | [***JwtSigningKeyType**](JWTSigningKeyType.md) | Type of signing key, fetched or stored | [default to null]
**Keys** | **map[string]string** | In case of \&quot;stored\&quot; kind, a map of key ids (arbitrary strings) to base64-encoded DER keys | [optional] [default to null]
**Url** | **string** | In case of \&quot;fetched\&quot; kind, URL for fetching public key for verification of JWT signature | [optional] [default to null]
**CacheDuration** | **int32** | In case of \&quot;fetched\&quot; kind, duration for which the public key can be cached | [optional] [default to null]

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


